remap_pfn_range
Prev | More Memory Management Functions | Next

## Name

remap_pfn_range — remap kernel memory to userspace

## Synopsis

`int remap_pfn_range (` | struct vm_area_struct * | vma,
| unsigned long | addr,
| unsigned long | pfn,
| unsigned long | size,
| pgprot_t | prot`)`;

## Arguments

`vma`

  user vma to map to

`addr`

  target user address to start at

`pfn`

  physical address of kernel memory

`size`

  size of map area

`prot`

  page protection flags for this mapping

## Note

this is only safe if the mm semaphore is held when called.

Prev | Up | Next
vm_insert_pfn | Home | unmap_mapping_range